#!/bin/sh

export MAKE=make

TARGET=mingw32

export CC=$XGCC_DIR/bin/$TARGET-gcc
export CXX=$XGCC_DIR/bin/$TARGET-g++
export AS=$XGCC_DIR/bin/$TARGET-as
export LD=$XGCC_DIR/bin/$TARGET-ld
export AR=$XGCC_DIR/bin/$TARGET-ar

export CFLAGS='-g0 -O2 -pipe'
export CXXFLAGS='-g0 -O2 -pipe'
export LDFLAGS='-s'
export DEBUG_FLAGS='-g0'

export PATH="$XGCC_DIR/bin:$PATH"

$MAKE \
    BOOT_CFLAGS='-O2 -g0 -pipe' CFLAGS='-O2 -g0 -pipe' \
    CXXFLAGS='-O2 -g0 -pipe' LIBCFLAGS='-O2 -g0 -pipe' \
    LIBCXXFLAGS='-O2 -g0 -pipe -fno-implicit-templates' \
    JCFLAGS='-g0 -pipe' GCJFLAGS='-O2 -g0 -pipe' \
    DEBUG_FLAGS='-g0' LDFLAGS='-s'

echo Press ENTER when you are ready to install...
read dummy

$MAKE \
    BOOT_CFLAGS='-O2 -g0 -pipe' CFLAGS='-O2 -g0 -pipe' \
    CXXFLAGS='-O2 -g0 -pipe' LIBCFLAGS='-O2 -g0 -pipe' \
    LIBCXXFLAGS='-O2 -g0 -pipe -fno-implicit-templates' \
    JCFLAGS='-g0 -pipe' GCJFLAGS='-O2 -g0 -pipe' \
    DEBUG_FLAGS='-g0' LDFLAGS='-s' \
    install
